- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTX_constants: Provide build-in constants
GTX Extensions (Experimental)

## Functions
template<typename T >
T | e ()
template<typename T >
T | epsilon ()
template<typename T >
T | euler ()
template<typename T >
T | golden_ratio ()
template<typename T >
T | half_pi ()
template<typename T >
T | ln_ln_two ()
template<typename T >
T | ln_ten ()
template<typename T >
T | ln_two ()
template<typename T >
T | one ()
template<typename T >
T | one_over_pi ()
template<typename T >
T | one_over_root_two ()
template<typename T >
T | pi ()
template<typename T >
T | quarter_pi ()
template<typename T >
T | root_five ()
template<typename T >
T | root_half_pi ()
template<typename T >
T | root_ln_four ()
template<typename T >
T | root_pi ()
template<typename T >
T | root_three ()
template<typename T >
T | root_two ()
template<typename T >
T | root_two_pi ()
template<typename T >
T | third ()
template<typename T >
T | two_over_pi ()
template<typename T >
T | two_over_root_pi ()
template<typename T >
T | two_thirds ()
template<typename T >
T | zero ()

## Detailed Description

Allow to perform bit operations on integer values.

<glm/gtx/constants.hpp> need to be included to use these functionalities.

## Function Documentation

T glm::e | ( |  | ) |

Return e constant.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::epsilon | ( |  | ) |

Return the epsilon constant for floating point types.

Todo:
  Implement epsilon for half-precision floating point type.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::euler | ( |  | ) |

Return Euler's constant.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::golden_ratio | ( |  | ) |

Return the golden ratio constant.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::half_pi | ( |  | ) |

Return pi / 2.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::ln_ln_two | ( |  | ) |

Return ln(ln(2)).

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::ln_ten | ( |  | ) |

Return ln(10).

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::ln_two | ( |  | ) |

Return ln(2).

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::one | ( |  | ) |

Return 1.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::one_over_pi | ( |  | ) |

Return 1 / pi.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::one_over_root_two | ( |  | ) |

Return 1 / sqrt(2).

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::pi | ( |  | ) |

Return the pi constant.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::quarter_pi | ( |  | ) |

Return pi / 4.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::root_five | ( |  | ) |

Return sqrt(5).

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::root_half_pi | ( |  | ) |

Return sqrt(pi / 2).

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::root_ln_four | ( |  | ) |

Return sqrt(ln(4)).

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::root_pi | ( |  | ) |

Return square root of pi.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::root_three | ( |  | ) |

Return sqrt(3).

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::root_two | ( |  | ) |

Return sqrt(2).

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::root_two_pi | ( |  | ) |

Return sqrt(2 * pi).

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::third | ( |  | ) |

Return 1 / 3.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::two_over_pi | ( |  | ) |

Return 2 / pi.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::two_over_root_pi | ( |  | ) |

Return 2 / sqrt(pi).

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::two_thirds | ( |  | ) |

Return 2 / 3.

See also:
  GLM_GTX_constants: Provide build-in constants

T glm::zero | ( |  | ) |

Return 0.

See also:
  GLM_GTX_constants: Provide build-in constants